{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

    flake-parts = {
      url = "github:hercules-ci/flake-parts";
      inputs.nixpkgs-lib.follows = "nixpkgs";
    };
  };

  outputs = {flake-parts, ...} @ inputs:
    flake-parts.lib.mkFlake {inherit inputs;} {
      systems = ["x86_64-linux" "aarch64-linux" "x86_64-darwin" "aarch64-darwin"];

      perSystem = {
        lib,
        pkgs,
        ...
      }: {
        packages.default = pkgs.callPackage ./nix/derivation.nix {};

        devShells.default = with pkgs;
          mkShellNoCC {
            buildInputs = [bun wrangler];
          };

        formatter = pkgs.alejandra;
      };
    };
}
