export interface GameOptions {
	mode: "easy" | "hard" | "extreme demon ultra miguel";
	metro: boolean;
	tram: boolean;
}

export interface MapData {
	lines: [GeoJSON.Feature, string][];
	stops: [number, number][];
}

export interface ServerGameData {
	mode: string;
	stops: GeoJSON.Feature[];
	distances: number[];
	scores: number[];
}

export interface ClientGameData {
	stopNames: string[];
	gameId: string;
}

export interface CheckData {
	gameId: string;
	index: number;
	latlng: [number, number];
}

export interface CheckResponse {
	solution: [number, number];
	distance: number;
	score: number;
}
