import type { PageServerLoad } from "./$types";
import { error } from "@sveltejs/kit";
import type { ServerGameData } from "$lib/types";

export const load: PageServerLoad = async ({ url, platform }) => {
	const kv = platform?.env?.TCL_GUESSR_KV;
	if (!kv) error(500, "could not connect to kv");

	const gameId = url.searchParams.get("gameId");
	if (!gameId) error(400, "gameId was not specified");

	const gameData: ServerGameData | null = await kv.get(`game:${gameId}`, "json");
	if (!gameData) error(404, "could not fetch game data");

	return { gameData, gameId };
};
